<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       http://example.com
 * @since      1.0.4
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/admin/partials
 */



if (!defined('ABSPATH')) {
    exit();
} 

$parcel_vs_order = get_option('foxpost_wc_shipping_parcel_vs_order', array());

$parcel_vs_order['foxpost'][] = '';
$parcel_vs_order['wc'][] = 'no-action';

//print_r($parcel_vs_order);exit;

$rows = '';
foreach($parcel_vs_order['foxpost'] as $key=>$parcel_status ){
    $wc     =  __wc_options( $parcel_vs_order['wc'][$key] );    
    $fox    =  __foxpost_options( $parcel_status );       
    $rows   .=  __tmpl($fox, $wc, $key);
} 





function __wc_options($selected='') {
    $opts = '';
    foreach(Foxpost_Wc_Shipping_Admin::wc_get_order_statuses() as $k=>$v){
        $sh = ($selected===$k) ? 'selected="selected"' : '';   
        $opts .= "<option value=\"$k\" $sh>$v</option>"; 
    } 
    return $opts;
}


function __foxpost_options($selected='') {    
    $opts = '';
    $lali = Foxpost_Wc_Shipping::loadConfig()['FoxpostParcelStatusToOrderStatus'];
    
    foreach($lali as $k=>$v){       
        
        if (is_array($v)){
            $sh = ($selected==$k) ? 'selected="selected"' : '';   
            $opts .= '<option value="'.$k.'" '.$sh.'>'.Foxpost_Wc_Shipping::__($k)."*</option>"; 
        }else{
            $sh = ($selected==$v) ? 'selected="selected"' : '';  
            $opts .= '<option value="'.$v.'" '.$sh.'>'.Foxpost_Wc_Shipping::__($v)." ($v)</option>";     
        }
    
    }
    $opts = '<option value="">'.Foxpost_Wc_Shipping::__('-=Please select=-').'</option>'.$opts;
    return $opts;
}

function __tmpl($foxpost='', $wc='', $key=0) {

   $tmpl = '
<tr>
<td width="49%">
<select name="foxpost_wc_shipping_parcel_vs_order[foxpost][]" autocomplete="off" id="foxpost_wc_shipping_parcel_vs_order_foxpost'.$key.'">'.$foxpost.'</select>
</td>   
<td width="2%">
<span class="dashicons dashicons-arrow-right-alt2" style="margin-top: 5px;"></span>
</td>
<td width="49%">
<select name="foxpost_wc_shipping_parcel_vs_order[wc][]" autocomplete="off" id="foxpost_wc_shipping_parcel_vs_order_wc'.$key.'">'.$wc.'</select>
</td>                                        
</tr>
  ';
                                            
    return $tmpl;  
}
          
?>
			<tr valign="top">
				<th scope="row" class="titledesc">
				<label><?php echo esc_html( $value['title'] ); ?> <?php /*echo $foxpost_wc_shipping_testbutton_tooltip_html . $disabled_message;*/ ?></label>
			</th>
				<td class="forminp">
			     <table class="wc_gateways widefat foxpost_wc_shipping" cellspacing="0" >
                    <thead>
                        <tr><th><?php echo esc_html( Foxpost_Wc_Shipping::__('Foxpost pracel status') );?></th><th></th><th><?php echo esc_html( Foxpost_Wc_Shipping::__('WooCommerce order status') );?></th></tr>
                    </thead>
					<tbody>
  					<?php echo $rows;?>
                    </tbody>
				</table>
                <p class="description"><?php echo esc_html( $value['desc'] );?></p>
				</td>
			</tr>
<script type="text/javascript">

function getTMPL(key){
  var foxpost_wc_shipping_parcel_vs_orderTMPL='<tr><td width="49%"><select name="foxpost_wc_shipping_parcel_vs_order[foxpost][]" autocomplete="off" id="foxpost_wc_shipping_parcel_vs_order_foxpost'+key+'"><?php echo $fox;?></select></td><td width="2%"><span class="dashicons dashicons-arrow-right-alt2" style="margin-top: 5px;"></span></td><td width="49%"><select name="foxpost_wc_shipping_parcel_vs_order[wc][]" autocomplete="off" id="foxpost_wc_shipping_parcel_vs_order_wc'+key+'"><?php echo $wc;?></select></td></tr>';
  return foxpost_wc_shipping_parcel_vs_orderTMPL;    
}                                                      

jQuery(function($) { 
    var last = <?php echo (count($parcel_vs_order['wc'])-1);?>;
    $(document).on('change', 'select', function() {
      if ( $('#foxpost_wc_shipping_parcel_vs_order_foxpost'+last).val()!='' && $('#foxpost_wc_shipping_parcel_vs_order_wc'+last).val()!='no-action' ){
        last=last+1;
        $( getTMPL(last) ).insertAfter($("table.foxpost_wc_shipping tbody").parent().find('tr').last());
      }
    });
});
</script>
