<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://foxpost.hu
 * @since      1.0.0
 *
 * @package    Foxpost_Wc_Shipping
 * @subpackage Foxpost_Wc_Shipping/public/partials                        
 */
  
  $currentLanguage = get_bloginfo('language'); 
    
  $aptData = Foxpost_Wc_Shipping::getAptData();  
  
  $name = $id = $class = "foxpost_wc_shipping_apt_selector";
  
  $selected_apt = WC()->session->get('selected_foxpost_wc_shipping_apt', null);
  //$selected_apt_from_meta_saved2session = WC()->session->get( 'foxpost_place_id', null );
  // $selected_apt = (array)Foxpost_Wc_Shipping::getFromSession('shipping_apt', null);
  // if (empty($selected_apt)) $selected_apt['operator_id'] = $selected_apt_from_meta_saved2session;

  if ( empty($selected_apt) ) $selected_apt['operator_id'] = $selected_apt_from_meta_saved2session; 
 
  $select = '<select name="' . $name . '" id="' . $id . '" class="' . $class . '">';
  $select .= '<optgroup label=""><option>' . Foxpost_Wc_Shipping::__('Kérjük válasszon egy csomagautomatát') . '</option></optgroup>';
  $city   = '';
  foreach ($aptData as $apt) {
      $aptId = $apt->operator_id;
      if ($city !== $apt->city) {
          if ($city !== '') {
              $select .= '</optgroup>';
          }
          $select .= '<optgroup label="' . esc_html($apt->city) . '">';
      }                                                                                                                       
      $selected = (!is_null($selected_apt) && isset($selected_apt['operator_id']) && $apt->operator_id==$selected_apt['operator_id']) ? 'selected="selected"' : '';
      $select .= '<option value="' . esc_html($aptId) . '" '.$selected.'>' . esc_html($apt->name).', '. esc_html($apt->zip).'</option>';
      $city   = $apt->city;
  }
  if ($city !== '') {
      $select .= '</optgroup>';
  }
  $select .= '</select>';


  //get_option('foxpost_wc_shipping_map_enabled')=='yes' )
 
?>                                       
<tr>
    <th><?php echo esc_html(Foxpost_Wc_Shipping::__( 'Parcel locker' ) );?></th>
    <td data-title="<?php echo esc_attr(Foxpost_Wc_Shipping::__( 'Parcel locker' ) );?>">
		<?php if('foxpost_wc_shipping_apt_shipping' == $selected_method): ?>                                                                                                                 
                                                                                                        
            <p><?php echo "$select";?></p>
            <p>
            <?php if (!empty($apt_address)) echo __( 'Address', 'woocommerce' ).": $apt_address<br/>";?>
            <?php if (get_option('foxpost_wc_shipping_map_enabled')=='yes') printf( '<a href="#" class="foxpost-wc-shipping-map-button" data-modal-iframe="https://cdn.foxpost.hu/apt-finder/v1/app/?lang=%s&discount=1&noHeader=1&noAptCount=1">%s</a>', $currentLanguage, esc_html(Foxpost_Wc_Shipping::__( 'Map' ) ) ); ?>
            </p>
            
            <?php if (get_option('foxpost_wc_shipping_map_enabled')=='yes') {?> 
            <div class="f-wc-s-window-modal f-wc-s-js-modal-window f-wc-s-js-window-overlay">
            	<div class="f-wc-s-window-modal__in f-wc-s-js-modal-window-in"></div>
            </div> 
            <?php };?>
                        
            <script type="text/javascript">           
                (function ($) {
                    'use strict';
                    $(document).ready(function () {          
                        $("#foxpost_wc_shipping_apt_selector").select2({
                          language: "<?php echo "$currentLanguage";?>"
                        });
                        $('#foxpost_wc_shipping_apt_selector').on('select2:select', function (e) {
                            var data = e.params.data;
                            foxpost_wc_shipping_public.select_parcel_box( data.id )
                        });
                                                 
                        $('.woocommerce-shipping-destination').hide();  
                        $('.shipping-calculator-button').hide();  
                        $('.shipping-calculator-button').remove();  
                        $('.woocommerce-shipping-calculator').remove();  
                        
                        foxpost_wc_shipping_public.init();  
                    });
                    
                    if( $('.foxpost-wc-shipping-map-button').length )
                      $('.foxpost-wc-shipping-map-button').click(function (event) {
                          event.preventDefault();
                          var modalIframe = $(this).data('modal-iframe');
                          MT.modalWindow.show({iframeUrl: modalIframe, animated: true});
                      }); 
                     
                })(jQuery);           
            </script> 
		<?php endif; ?>             
    </td>
</tr>

